require "mkmf"

dir_config('narray',$sitearchdir,$sitearchdir)
dir_config('nusdas','/usr/local')

if ( ! ( have_header("narray.h") && have_header("narray_config.h") ) ) then
print <<EOS
** configure error **  
   Header narray.h or narray_config.h is not found. If you have these files in 
   /narraydir/include, try the following:

   % ruby extconf.rb --with-narray-include=/narraydir/include

EOS
   exit(-1)
end

if have_header("nusdas.h") && have_header("nwpl_capi.h") && have_library("nusdas") && have_library("nwp")
  wrap = true
else
  print <<-EOS
    ** configure message **  
       Header nusdas.h or the compiled nusdas library is not found.
       File without suport of wrapping c nusdas library will be install.
       If you have the library installed under /nuasdasdir (that is, nusdas.h is
       in /nusdasdir/include and the library in /nusdasdir/lib/),
       try the following:

       % ruby extconf.rb --with-nusdas-dir=/nusdasdir

       Alternatively, you can specify the two directory separately
       with --with-nusdas-include and --with-nusdas-lib.
    EOS
  wrap = false
end

if /cygwin|mingw/ =~ RUBY_PLATFORM
   have_library("narray") || raise("ERROR: narray library is not found")
end

if wrap
  create_makefile "numru/nusdas_wrap"
else
  $objs = []
  create_makefile ""
end
